/* Article CSS file */
/* ------------------------------------------------- */

/* Content Section */
/* ------------------------------------------------- */

section.content {
    padding: var(--space-11) 0;
    position: relative;
}

section.content .content-wrapper {
    display: flex;
    flex-direction: column;
    gap: var(--space-6);
}

section.content .heading-2 {
    color: var(--blue-700);
}

section.content .wrap {
    display: grid;
    grid-template-columns: 1fr 0.5fr;
    gap: var(--space-9);
}

p#content-date {
    color: var(--neutral-300);
}

.content-text p {
    color: var(--neutral-500);
}

/* Suggested Posts Section */
/* ------------------------------------------------- */

.suggested-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--space-5);
}

.suggested-post {
    position: relative;
    display: flex;
    flex-direction: column;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    text-decoration: none;
    padding: var(--space-6);
}

.suggested-post-image {
    position: absolute;
    inset: 0;
    z-index: 0;
}

.suggested-post-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
}

.suggested-post-content {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    gap: var(--space-3);
    background: rgba(0, 0, 0, 0.20);
    backdrop-filter: blur(5px);
    padding: var(--space-4) var(--space-6);
    margin-top: auto;
    color: var(--neutral-25);
}

.suggested-post-content .body-small {
    color: var(--neutral-25);
}

.suggested-post-content .heading-6 {
    color: var(--neutral-25);
}

.suggested-post-button {
    display: flex;
    align-items: center;
    gap: var(--space-2);
    font-size: var(--font-size-14);
    font-weight: 450;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: var(--neutral-25);
    margin-top: auto;
    margin-left: auto;
}

@media (max-width: 980px) {
    section.content .wrap {
        grid-template-columns: 1fr;
    }
}